# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PColPGeom2d_FieldOfHArray1OfBSplineCurve Class Reference

`#include <ShapeSchema_PColPGeom2d_FieldOfHArray1OfBSplineCurve.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PColPGeom2d_FieldOfHArray1OfBSplineCurve &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PColPGeom2d_FieldOfHArray1OfBSplineCurve &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PColPGeom2d_FieldOfHArray1OfBSplineCurve &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_PColPGeom2d_FieldOfHArray1OfBSplineCurve::SAdd | ( | const PColPGeom2d_FieldOfHArray1OfBSplineCurve & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColPGeom2d_FieldOfHArray1OfBSplineCurve::SRead | ( | PColPGeom2d_FieldOfHArray1OfBSplineCurve & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColPGeom2d_FieldOfHArray1OfBSplineCurve::SWrite | ( | const PColPGeom2d_FieldOfHArray1OfBSplineCurve & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_PColPGeom2d_FieldOfHArray1OfBSplineCurve.hxx